Skip to main content
https://.thoughtindustries.com

Upload Xliff

Uploads an XLIFF file to update the translatable content of a course

Uploads an XLIFF file to update the translatable content of a course.

PUThttps://example.thoughtindustries.com/incoming/v2/content/courses/:id.xlf

Example request

curl -X PUT "https://example.thoughtindustries.com/incoming/v2/content/courses/:id.xlf" \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "string",
  "xmlBody": "string"
}'

Parameters

NameTypeRequiredLocationDescription
iduuidYespathThe id identifier.
typeContentSearchTypeYesbodyThe content type classification used to identify the target content for the XLIFF upload.
xmlBodystringYesbodyThe raw XLIFF XML content to upload, provided as a string.

Example response

{
  "data": {
    "ContentUploadXliff": true
  }
}